﻿Imports System.Web.Mvc

Namespace Controllers
    Public Class RelatorioPessoaMestreController
        Inherits Controller

        Private Ds As DataSetRelatorio

        ' GET: RelatorioPessoaMestre
        Public Function Index() As ActionResult
            Ds = DataSetRelatorio.ObterExemplo()

            Dim Viewer = New Microsoft.Reporting.WebForms.ReportViewer()
            Viewer.ProcessingMode = Microsoft.Reporting.WebForms.ProcessingMode.Local
            Viewer.LocalReport.ReportPath = Request.MapPath(Request.ApplicationPath) + "Reports\ReportPessoaMestre.rdlc"
            Viewer.LocalReport.DataSources.Add(New Microsoft.Reporting.WebForms.ReportDataSource("DataSetRelatorio", DirectCast(Ds.Pessoa, System.Data.DataTable)))
            AddHandler Viewer.LocalReport.SubreportProcessing, AddressOf LocalReport_SubreportProcessing

            Viewer.SizeToReportContent = True
            Viewer.Width = System.Web.UI.WebControls.Unit.Percentage(100)
            Viewer.Height = System.Web.UI.WebControls.Unit.Percentage(100)

            ViewBag.ReportViewer = Viewer

            Return View()
        End Function

        Private Sub LocalReport_SubreportProcessing(sender As Object, e As Microsoft.Reporting.WebForms.SubreportProcessingEventArgs)
            e.DataSources.Add(New Microsoft.Reporting.WebForms.ReportDataSource("DataSetRelatorioDetalhe", DirectCast(Ds.Endereco, System.Data.DataTable)))
        End Sub
    End Class
End Namespace